
QGIS Application - Bug report #14173

Rendering order ignored for added/changed features

2016-01-26 07:08 AM - Martin Dobias

Status: Closed

Priority: Normal

Assignee:

Category: Vectors

Affected QGIS version:master Regression?: No

Operating System: Easy fix?: No

Pull Request or Patch supplied:No Resolution: end of life

Crashes QGIS or corrupts data:No Copied to github as #: 22175

Description

Features coming from layer's edit buffer (added / changed) do not respect the requested rendering order, resulting in incorrect map

rendering output for 2.5D renderer.

See the attached rendered map: at first it was rendered correctly, however after a small change to geometry of the feature in the middle,

the feature is always at the bottom (until commit/rollback).

History

#1 - 2016-01-26 07:20 AM - Matthias Kuhn

- Assignee deleted (Matthias Kuhn)

That cannot be achieved with the way the edit buffer is implemented currently because we only save the updated attributes and not the whole changed

features.

#2 - 2017-05-01 01:06 AM - Giovanni Manghi

- Easy fix? set to No

- Regression? set to No

#3 - 2019-03-09 04:09 PM - Giovanni Manghi

- Resolution set to end of life

- Status changed from Open to Closed

End of life notice: QGIS 2.18 LTR

Source:

http://blog.qgis.org/2019/03/09/end-of-life-notice-qgis-2-18-ltr/
